/*
 * Copyright (C) 2020, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
#include "single_window.h"
#include <QObject>
#include <QIcon>

single_window::single_window()
{
    init();
    create_interface();
}
single_window::~single_window()
{
    if (p_message_box != NULL) {
        delete p_message_box;
    }
}

void single_window::init(void)
{
    p_message_box = NULL;
}

void single_window::create_interface(void)
{
    p_message_box = new QMessageBox(QMessageBox::Warning , QObject::tr("warning") , QObject::tr("The last software is being uninstalled,Please uninstall later!") , QMessageBox::Ok);
    p_message_box->setWindowIcon(QIcon("://image/install.png"));
    p_message_box->setButtonText(QMessageBox::Ok , QObject::tr("OK"));

    return;
}
